description

# JsonUnsupportedObjectError class Null safety

Error thrown by JSON serialization if an object cannot be serialized.

The unsupportedObject field holds that object that failed to be serialized.

If an object isn't directly serializable, the serializer calls the `toJson` method on the object. If that call fails, the error will be stored in the cause field. If the call returns an object that isn't directly serializable, the cause is null.

Inheritance
  - Object
  - Error
  - JsonUnsupportedObjectError
Implementers
  - JsonCyclicError

## Constructors

JsonUnsupportedObjectError(Object? unsupportedObject, {Object? cause, String? partialResult})

## Properties

cause → Object?
  The exception thrown when trying to convert the object.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
partialResult → String?
  The partial result of the conversion, up until the error happened. [...]
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace?
  read-only, inherited
unsupportedObject → Object?
  The object that could not be serialized.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited